"use strict";
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
if (!Array) {
  const _easycom_up_avatar2 = common_vendor.resolveComponent("up-avatar");
  const _component_uni_icons = common_vendor.resolveComponent("uni-icons");
  const _easycom_custom_layout2 = common_vendor.resolveComponent("custom-layout");
  (_easycom_up_avatar2 + _component_uni_icons + _easycom_custom_layout2)();
}
const _easycom_up_avatar = () => "../../uni_modules/uview-plus/components/u-avatar/u-avatar.js";
const _easycom_custom_layout = () => "../../components/custom-layout/custom-layout.js";
if (!Math) {
  (_easycom_up_avatar + _easycom_custom_layout)();
}
const userImage = "https://img.js.design/assets/img/65b211c3cdb6ea326421fd30.png";
const _sfc_main = {
  __name: "index",
  setup(__props) {
    const orderList = common_vendor.reactive([
      { id: "1", name: "待支付", icon: common_assets.order1 },
      { id: "2", name: "待打印", icon: common_assets.order2 },
      { id: "3", name: "待配送", icon: common_assets.order3 },
      { id: "4", name: "已完成", icon: common_assets.order4 }
    ]);
    const toolList = common_vendor.reactive([
      { id: "1", name: "我的设计", icon: common_assets.order1 },
      { id: "2", name: "我的贴纸", icon: common_assets.order2 },
      { id: "3", name: "我的分享", icon: common_assets.order3 },
      { id: "4", name: "邀请好友", icon: common_assets.order4 }
    ]);
    const onRecharge = () => {
      common_vendor.index.navigateTo({
        url: "/pages/recharge/index"
      });
    };
    common_vendor.onMounted(() => {
      console.log("onMounted生命周期");
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          src: userImage,
          size: "120rpx"
        }),
        b: common_vendor.o(onRecharge),
        c: common_vendor.p({
          type: "right",
          size: "20"
        }),
        d: common_vendor.f(orderList, (item, index, i0) => {
          return {
            a: common_vendor.s(`background-image:url(${item.icon})`),
            b: common_vendor.t(item.name),
            c: index
          };
        }),
        e: _ctx.nvueWidth,
        f: common_vendor.f(toolList, (item, index, i0) => {
          return {
            a: common_vendor.t(item.name),
            b: "569e925a-3-" + i0 + ",569e925a-0",
            c: common_vendor.n(index < toolList.length - 1 ? "border_bottom" : ""),
            d: index
          };
        }),
        g: common_vendor.p({
          type: "right",
          size: "20"
        }),
        h: common_vendor.sr("layout", "569e925a-0"),
        i: common_vendor.o(_ctx.onQueryList),
        j: common_vendor.o(($event) => _ctx.dataList = $event),
        k: common_vendor.p({
          showBottom: true,
          back: {
            show: false
          },
          title: "我的",
          modelValue: _ctx.dataList
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-569e925a"]]);
wx.createPage(MiniProgramPage);
